# 🚗 BMW Coding Guides

Welcome to the **BMW Coding Guides** repository! This collection provides easy-to-follow guides and tools for customizing and coding your BMW. Whether you’re enabling features or tweaking settings, you’ll find the resources you need right here.

---

## 📋 Table of Contents

- [✨ Introduction](#-introduction)
- [📚 Guides](#-guides)
  - [Available Guides](#available-guides)
- [🔧 Tools](#-tools)
- [🛡️ License](#-license)

---

## ✨ Introduction

This repository aims to provide **comprehensive** and **easy-to-follow** guides for coding and customizing BMW vehicles. Each guide is available as a **PDF document** for download, offering step-by-step instructions to **enable**, **modify**, or **enhance** different features of your BMW.

Feel free to explore the guides and tools we offer below!

---

## 📚 Guides

All the guides are located in the `guides` directory, and each PDF provides step-by-step instructions for specific coding tasks or feature enhancements.

### Available Guides

Here are some of the popular guides included in this repository:

- [🎵 Enabling Bluetooth Music with Combox Module](guides/Enhanced_Bluetooth_Music.pdf)
- [🛠️ Hacking NBTEVO ID6 Car Image](https://davidpetric.com/2024/06/21/nbt-evo-id6-hacking-the-car-image/)
- [🔑 BMW FSC Certificate Extraction Guide](guides/BMW_FSC_Certificate_Extraction_Guide.pdf)
- [🗃️ FSC Code IDs](guides/BMW_FSC_Code_Number_ID.pdf)
- [🛡️ F3x/F2x/F1x Cheat Sheet](guides/F3x_F2x_F1x_Cheat_Sheet.pdf)
- [🧩 F Series ECUs with Descriptions](guides/BMW_F_Series_ECUs.pdf)
- [🗺️ BMW Navigation Europe East/West Coverage](guides/BMW_Europe_Navi_East_West_Diff.pdf)
- [📖 E-SYS Manual](guides/E-Sys_Manual_V23_10_ENG.pdf)
- [🌐 ENET IP Configuration Guide](guides/BMW_ENET_Static_IP_Setup_Guide.pdf)
- [🚦 SLI Unsupported Country Coding](guides/BMW_SLI_Unsupported_Country_Coding.pdf)
- [💡 IKON Headlights Retrofit Coding](guides/BMW_IKON_Headlights_Retrofit.pdf)
- [🖥️ CarPlay Compatibility List](guides/BMW_CarPlay_Android_Screen_Mirroring_Compatibility.pdf)
- [🔧 PsDzData I-Step Versions](guides/BMW_ISTA_PSDZData_Versions.pdf)
- [🖼️ Update Guide for Full-Screen CarPlay](guides/Update_Guide_for_Full_Screen_CarPlay.pdf)
- [🚶‍♂️ 8TF Pedestrian Protection Disable](guides/8TF_Pedestrian_Safety_Removal_Guide.pdf)
- [🏎️ M-Sport Steering Wheel Cruise Control Coding](guides/Cruise_Control_Retrofit_M_Sport_Guide.pdf)
- [🔄 MFL * LRE Wrong Version Coding](guides/Disable_MFL_Wrong_Version_Error_Guide.pdf)
- [⚙️ EDC Delete for Coilover Install](guides/EDC_Delete_BMW_FXX_Guide_Updated.pdf)
- [💡 Led Swap Headlight Error Coding](guides/Led_Swap_Headlight_Error_Coding_Guide.pdf)

---

## 🔧 Tools

Below are the tools provided for various BMW-related tasks:

| 🔧 **Tool Name**   | **Description**                                           |
|-------------------|-----------------------------------------------------------|
| `fat32format.txt`  | Application for formatting USB drives to FAT32.           |
| `copie_scr.sh`     | Script for pulling the 1b file out of CIC systems.        |
| `maps_swid.sh`     | CIC/NBT System get FSCShort/SWID from Maps archive.       |

---

## 🛡️ License

This repository is licensed under the **MIT License**. For more information, please see the [LICENSE](LICENSE) file.

---

We hope you find these guides helpful! 🚘
